Mailinglist Archive: opensuse (2831 mails)

< Previous Next >
[SLE] New Smart Package manager error
  • From: praxis <praxis@xxxxxxxxxxxxxxxxxxxxxxx>
  • Date: Sat, 15 Jul 2006 04:26:17 -0700
  • Message-id: <44B8D0D9.7020506@xxxxxxxxxxxxxxxxxxxxxxx>
-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Running SuSE 10.1.1, with "Smart Package Manager 0.42"

I have received a new error from the Smart Package manager tonight. I
am posting it now in hopes that Mr. Thiel et. al. can shed some light.
Should I file a bugzilla on this??

The error occured when I was searching in the smart GUI using the
"description" parameter:

Error:
Traceback (most recent call last):

File
"/usr/lib/python2.4/site-packages/smart/interfaces/gtk/interactive.py",
line 317, in <lambda>
self._searchname.connect("clicked", lambda x: self.refreshPackages())

File
"/usr/lib/python2.4/site-packages/smart/interfaces/gtk/interactive.py",
line 770, in refreshPackages
self._ctrl.getCache().search(searcher)

File "/usr/lib/python2.4/site-packages/smart/backends/rpm/header.py",
line 361, in search
if pat.search(summary):

TypeError: expected string or buffer
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.4 (GNU/Linux)

iD8DBQFEuNDZfjoc4K4HGqoRAxAPAKCYGTmvmBPtZXiIZcZaAMABp4HL8gCfeGnK
Hmvjg1nS21lbibxhCiwdEY0=
=fRpB
-----END PGP SIGNATURE-----

--
Check the headers for your unsubscription address
For additional commands send e-mail to suse-linux-e-help@xxxxxxxx
Also check the archives at http://lists.suse.com
Please read the FAQs: suse-linux-e-faq@xxxxxxxx


< Previous Next >
This Thread
Follow Ups